summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/build.sh2
-rwxr-xr-xscripts/generate-doc.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index 6a3e1d3..3b8f2ff 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -130,7 +130,7 @@ cd ${TOP}
# generate and add documentation
echo -e "\nGenerate Yocto documentation\n"
-${GIT_DIR}/scripts/generate-doc.sh ${DOC_REF} ${GIT_DIR}
+${GIT_DIR}/scripts/generate-doc.sh ${DOC_REF} ${GIT_DIR} || fail $? "generate documentation"
#build
java -jar ${LAUNCHER} -application org.eclipse.ant.core.antRunner -buildfile ${BUILDFILE} -DbaseLocation=${ECLIPSE_BASE} -Dbuilder=${GIT_DIR}/features/org.yocto.bc.headless.build -DbuildDirectory=${BUILD_DIR} -DotherSrcDirectory=${GIT_DIR} -DbuildId=${RELEASE} || fail $? "normal build"
diff --git a/scripts/generate-doc.sh b/scripts/generate-doc.sh
index b817d4c..9753d7e 100755
--- a/scripts/generate-doc.sh
+++ b/scripts/generate-doc.sh
@@ -82,7 +82,7 @@ fi
# build and copy
cd documentation
for DOC in ${DOCS}; do
- make DOC=${DOC} eclipse
+ make DOC=${DOC} eclipse || fail $? "make DOC=${DOC} eclipse"
cp -rf ${DOC}/eclipse/html/* ${DOC_HTML_DIR}
cp -f ${DOC}/eclipse/${DOC}-toc.xml ${DOC_HTML_DIR}
done